package org.eclipse.stp.sc.xmlvalidator.rule.model;

import javax.xml.xpath.XPathExpression;

public class VRuleAssert {
    public enum Type {
    	TRUE,
    	FALSE,
    }
    
    Type assertType;
    String errorMsg;
    String expression;
    
    XPathExpression xpathExp = null;
    
    public VRuleAssert() {
    }
    
    public VRuleAssert(Type type, String msg, String exp) {
    	assertType = type;
    	errorMsg = msg;
    	expression = exp;
    }
    
    public String toString() {
    	StringBuffer sb = new StringBuffer();
    	sb.append("Assert" + assertType);
    	sb.append(" errorMsg:" + errorMsg);
    	sb.append(" exp:" + expression);
    	return sb.toString();
    }

	public Type getAssertType() {
		return assertType;
	}

	public void setAssertType(Type assertType) {
		this.assertType = assertType;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	public String getExpression() {
		return expression;
	}

	public void setExpression(String expression) {
		this.expression = expression;
	}

	public XPathExpression getXpathExp() {
		return xpathExp;
	}

	public void setXpathExp(XPathExpression xpathExp) {
		this.xpathExp = xpathExp;
	}
    
}
